package com.trade.client.accounts.receivepayment.vo;

import com.trade.client.accounts.receivepayment.dto.DocumentInfoDto;
import com.trade.service.finance.disbursement.domain.BillingDisbursement;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/31
 * @Version: 1.0
 */
@Data
public class ReceivePaymentDetailVo {

    @ApiModelProperty(name = "billingDisbursement", value = "收款信息/贸易基础信息")
    private BillingDisbursement billingDisbursement;
    @ApiModelProperty(name = "documentInfoDto", value = "单据信息")
    private DocumentInfoDto documentInfoDto;
    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
    // todo 融资相关信息 融资部分再做

}
